> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sample Data



## OpenAPI

````yaml GET /v1/sample-data
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/sample-data:
    get:
      tags:
        - sample-data
      parameters:
        - schema:
            type: string
          in: query
          name: flowId
          required: true
        - schema:
            type: string
          in: query
          name: flowVersionId
          required: true
        - schema:
            type: string
          in: query
          name: stepName
          required: true
        - schema:
            type: string
          in: query
          name: projectId
          required: true
        - schema:
            type: string
            enum:
              - INPUT
              - OUTPUT
          in: query
          name: type
          required: true
      responses:
        '200':
          description: Default Response
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````